# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/embedded-controller/lenovo,thinkpad-t14s-ec.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Lenovo Thinkpad T14s Embedded Controller

maintainers:
  - Sebastian Reichel <sre@kernel.org>

description:
  The Qualcomm Snapdragon-based Lenovo Thinkpad T14s has an Embedded Controller
  (EC) which handles things such as keyboard backlight, LEDs or non-standard
  keys.

properties:
  compatible:
    const: lenovo,thinkpad-t14s-ec

  reg:
    const: 0x28

  interrupts:
    maxItems: 1

  wakeup-source: true

required:
  - compatible
  - reg
  - interrupts

additionalProperties: false

examples:
  - |+
    #include <dt-bindings/interrupt-controller/irq.h>
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        embedded-controller@28 {
            compatible = "lenovo,thinkpad-t14s-ec";
            reg = <0x28>;
            interrupts-extended = <&tlmm 66 IRQ_TYPE_LEVEL_LOW>;
            wakeup-source;
        };
    };
...
